Subject: bug#77544: (WIP) [PATCH] Prettify page separators.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Apr 2025 09:53:08 +0300

> From: Elijah Gabe Pérez <[email-masked]>
> Date: Sat, 5 Apr 2025 23:33:04 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>  > From: Elijah Gabe Pérez <[email-masked]>
>  > Cc: Gerd Möllmann <[email-masked]>,
>  >   [email-masked]
>  > Date: Sat, 05 Apr 2025 12:13:26 -0600
>  > 
>  >  Or an optional feature of whitespace-mode?
>  > 
>  > I don't think whitespace-mode is related to this.
> 
>  The form-feed ^L character is one of whitespace characters.
> 
> Right, but I don't think this should be whitespace-mode exclusive.  IMO this new minor mode can be used as
> alternative to make-separator-line (for example in shortdoc buffers) which looks ugly in both terminal and GUI
> frames.

Sure, but why is it a problem to make this part of whitespace-mode?
It already has a number of optional features, each one of which can
be turned on and off separately.

The advantage is that we don't need to have yet another minor mode,
yet another mode-line lighter, etc.  Also, some people already turn on
whitespace-mode in text modes.

So I think this is something to be considered seriously.

But we can delay this discussion until you have the feature
implemented.